commit bb8518ac7c6060dbffb8060d85e1f2358ce4a687
Author: mtoutant <martin.toutant@inrae.fr>
Date:   Mon Oct 3 14:14:55 2022 +0200

    delete useless files

diff --git a/.$SicpaDeviceConnectionsUML.drawio.bkp b/.$SicpaDeviceConnectionsUML.drawio.bkp
deleted file mode 100644
index f79ddfd..0000000
--- a/.$SicpaDeviceConnectionsUML.drawio.bkp
+++ /dev/null
@@ -1 +0,0 @@
-<mxfile host="Electron" modified="2022-08-24T14:46:31.686Z" agent="5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) draw.io/19.0.3 Chrome/102.0.5005.63 Electron/19.0.3 Safari/537.36" etag="ErJBXX244L2rTxWtCXIL" version="19.0.3" type="device"><diagram id="0P8m6wT8aCn1QEJA0v6a" name="Page-1">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</diagram></mxfile>
\ No newline at end of file
diff --git a/.gitignore.bak b/.gitignore.bak
deleted file mode 100644
index e69de29..0000000
diff --git a/TestTeoBluetooth.sln.bak b/TestTeoBluetooth.sln.bak
deleted file mode 100644
index 32ae0b5..0000000
--- a/TestTeoBluetooth.sln.bak
+++ /dev/null
@@ -1,35 +0,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 12.00
-# Visual Studio Version 16
-VisualStudioVersion = 16.0.31729.503
-MinimumVisualStudioVersion = 10.0.40219.1
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "TestTeoBluetooth.Android", "TestBLE\TestBLE.Android\TestTeoBluetooth.Android.csproj", "{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}"
-EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "TestTeoBluetooth", "TestBLE\TestBLE\TestTeoBluetooth.csproj", "{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Release|Any CPU = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.Deploy.0 = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-	GlobalSection(ExtensibilityGlobals) = postSolution
-		SolutionGuid = {5962BE11-9ED3-4A22-B6CA-D8B4D3F98D54}
-	EndGlobalSection
-EndGlobal
diff --git a/TestXamConnections.sln.bak b/TestXamConnections.sln.bak
deleted file mode 100644
index b92f5ff..0000000
--- a/TestXamConnections.sln.bak
+++ /dev/null
@@ -1,35 +0,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 12.00
-# Visual Studio Version 16
-VisualStudioVersion = 16.0.31729.503
-MinimumVisualStudioVersion = 10.0.40219.1
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "TestXamConnections.Android", "TestTeoBluetooth\TestTeoBluetooth.Android\TestXamConnections.Android.csproj", "{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}"
-EndProject
-Project("{9A19103F-16F7-4668-BE54-9A1E7A4F7556}") = "TestXamConnections", "TestTeoBluetooth\TestTeoBluetooth\TestXamConnections.csproj", "{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Release|Any CPU = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A6E319ED-E59B-4FAA-A143-1E1E653FD0BC}.Release|Any CPU.Deploy.0 = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Debug|Any CPU.Deploy.0 = Debug|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.Build.0 = Release|Any CPU
-		{5C87F357-DF5A-4AEC-9663-ED55C0E4904D}.Release|Any CPU.Deploy.0 = Release|Any CPU
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-	GlobalSection(ExtensibilityGlobals) = postSolution
-		SolutionGuid = {5962BE11-9ED3-4A22-B6CA-D8B4D3F98D54}
-	EndGlobalSection
-EndGlobal