commit 612877b5ae431bf6c2154081c01d148812e5297f
Author: lbihannic <lucas.bihannic@inrae.fr>
Date:   Wed Mar 26 14:36:22 2025 +0100

    add last time measure and color when anormal mesure

diff --git a/GES_PAC/View/CreateMeasureView.xaml b/GES_PAC/View/CreateMeasureView.xaml
index da56c55..4ce93a0 100644
--- a/GES_PAC/View/CreateMeasureView.xaml
+++ b/GES_PAC/View/CreateMeasureView.xaml
@@ -17,6 +17,13 @@
                        FontSize="20"
                        FontAttributes="Bold"
                        HorizontalOptions="Center" />
+
+                    <Label Text="{Binding LastTime}"
+                       FontSize="14"
+                       FontAttributes="Bold"
+                       HorizontalOptions="Center" 
+                       IsVisible="{Binding HasLastMeasure}"/>
+                    
                     <VerticalStackLayout Spacing="15" WidthRequest="300">
 
                         <!-- CH4 -->
@@ -29,16 +36,11 @@
                                    TextColor="Black"
                                    Placeholder="0,0"
                                    Keyboard="Numeric">
-                                    <Entry.Triggers>
-                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
-                                            <Setter Property="Grid.ColumnSpan" Value="2" />
-                                        </DataTrigger>
-                                    </Entry.Triggers>
                                 </Entry>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastCH4, StringFormat='[{0} ppm]'}"
                                    FontSize="16"
-                                   TextColor="Gray"
+                                   TextColor="{Binding LastCH4Color}"
                                    VerticalOptions="Center"
                                    HorizontalOptions="End"
                                    IsVisible="{Binding HasLastMeasure}" />
@@ -61,16 +63,11 @@
                                    TextColor="Black"
                                    Placeholder="0,0"
                                    Keyboard="Numeric">
-                                    <Entry.Triggers>
-                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
-                                            <Setter Property="Grid.ColumnSpan" Value="2" />
-                                        </DataTrigger>
-                                    </Entry.Triggers>
                                 </Entry>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastO2, StringFormat='[{0} %]'}"
                                    FontSize="16"
-                                   TextColor="Gray"
+                                   TextColor="{Binding LastO2Color}"
                                    VerticalOptions="Center"
                                    HorizontalOptions="End"
                                    IsVisible="{Binding HasLastMeasure}" />
@@ -93,16 +90,11 @@
                                    TextColor="Black"
                                    Placeholder="0,0"
                                    Keyboard="Numeric">
-                                    <Entry.Triggers>
-                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
-                                            <Setter Property="Grid.ColumnSpan" Value="2" />
-                                        </DataTrigger>
-                                    </Entry.Triggers>
                                 </Entry>
                                 <Label Grid.Column="1"
                                    Text="{Binding LastCO2, StringFormat='[{0} %]'}"
                                    FontSize="16"
-                                   TextColor="Gray"
+                                   TextColor="{Binding LastCO2Color}"
                                    VerticalOptions="Center"
                                    HorizontalOptions="End"
                                    IsVisible="{Binding HasLastMeasure}" />
@@ -120,12 +112,21 @@
             </ScrollView>
             <StackLayout
                 Margin="10"
-                HorizontalOptions="CenterAndExpand"
+                HorizontalOptions="Center"
                 Orientation="Horizontal"
                 VerticalOptions="FillAndExpand">
 
                 <Button 
-                    Text="Enregistrer les mesures"
+                    Text="Comportements"
+                    BackgroundColor="Orange"
+                    TextColor="White"
+                    Command="{Binding ComportementsCommand}"
+                    Style="{StaticResource btnNormal}"
+                    VerticalOptions="End"
+                    Margin="0,0,10,0"/>
+
+                <Button 
+                    Text="Enregistrer"
                     Command="{Binding CreateMeasureCommand}"
                     Style="{StaticResource btnNormal}"
                     IsEnabled="{Binding IsFormValid}"