commit 1019554c07f9ad639ec426e567d1ce3b30f31aae
Author: lbihannic <lucas.bihannic@inrae.fr>
Date:   Wed Mar 26 13:16:48 2025 +0100

    add last measure in create measure page

diff --git a/GES_PAC/View/CreateMeasureView.xaml b/GES_PAC/View/CreateMeasureView.xaml
index b3e4155..da56c55 100644
--- a/GES_PAC/View/CreateMeasureView.xaml
+++ b/GES_PAC/View/CreateMeasureView.xaml
@@ -22,44 +22,99 @@
                         <!-- CH4 -->
                         <VerticalStackLayout>
                             <Label Text="CH4 (ppm)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                            <Entry Text="{Binding ConcCH4, Mode=TwoWay, TargetNullValue=''}" 
-                                   FontSize="16" 
-                                   TextColor="Black" 
-                                   Placeholder="0,0" 
-                                   Keyboard="Numeric"/>
+                            <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
+                                <Entry Grid.Column="0"
+                                   Text="{Binding ConcCH4, Mode=TwoWay, TargetNullValue=''}"
+                                   FontSize="16"
+                                   TextColor="Black"
+                                   Placeholder="0,0"
+                                   Keyboard="Numeric">
+                                    <Entry.Triggers>
+                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
+                                            <Setter Property="Grid.ColumnSpan" Value="2" />
+                                        </DataTrigger>
+                                    </Entry.Triggers>
+                                </Entry>
+                                <Label Grid.Column="1"
+                                   Text="{Binding LastCH4, StringFormat='[{0} ppm]'}"
+                                   FontSize="16"
+                                   TextColor="Gray"
+                                   VerticalOptions="Center"
+                                   HorizontalOptions="End"
+                                   IsVisible="{Binding HasLastMeasure}" />
+                            </Grid>
+
                             <Label Text="Entrez une valeur"
-                                FontSize="12"
-                                TextColor="Red"
-                                IsVisible="{Binding ConcCH4Error}"/>
+                               FontSize="12"
+                               TextColor="Red"
+                               IsVisible="{Binding ConcCH4Error}"/>
                         </VerticalStackLayout>
 
+
                         <!-- O2 -->
                         <VerticalStackLayout>
-                            <Label Text="O2 (% vol.)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                            <Entry Text="{Binding ConcO2 , Mode=TwoWay, TargetNullValue=''}" 
-                                   FontSize="16" 
-                                   TextColor="Black" 
-                                   Placeholder="0,0" 
-                                   Keyboard="Numeric"/>
+                            <Label Text="O2 (%)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
+                                <Entry Grid.Column="0"
+                                   Text="{Binding ConcO2, Mode=TwoWay, TargetNullValue=''}"
+                                   FontSize="16"
+                                   TextColor="Black"
+                                   Placeholder="0,0"
+                                   Keyboard="Numeric">
+                                    <Entry.Triggers>
+                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
+                                            <Setter Property="Grid.ColumnSpan" Value="2" />
+                                        </DataTrigger>
+                                    </Entry.Triggers>
+                                </Entry>
+                                <Label Grid.Column="1"
+                                   Text="{Binding LastO2, StringFormat='[{0} %]'}"
+                                   FontSize="16"
+                                   TextColor="Gray"
+                                   VerticalOptions="Center"
+                                   HorizontalOptions="End"
+                                   IsVisible="{Binding HasLastMeasure}" />
+                            </Grid>
+
                             <Label Text="Entrez une valeur"
-                                FontSize="12"
-                                TextColor="Red"
-                                IsVisible="{Binding ConcO2Error}"/>
+                               FontSize="12"
+                               TextColor="Red"
+                               IsVisible="{Binding ConcO2Error}"/>
                         </VerticalStackLayout>
 
+
                         <!-- CO2 -->
                         <VerticalStackLayout>
-                            <Label Text="CO2 (% vol.)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
-                            <Entry Text="{Binding ConcCO2, Mode=TwoWay, TargetNullValue=''}" 
-                                   FontSize="16" 
-                                   TextColor="Black" 
-                                   Placeholder="0,0" 
-                                   Keyboard="Numeric"/>
+                            <Label Text="CO2 (%)" FontSize="14" TextColor="Gray" FontAttributes="Bold"/>
+                            <Grid ColumnDefinitions="*,Auto" ColumnSpacing="5">
+                                <Entry Grid.Column="0"
+                                   Text="{Binding ConcCO2, Mode=TwoWay, TargetNullValue=''}"
+                                   FontSize="16"
+                                   TextColor="Black"
+                                   Placeholder="0,0"
+                                   Keyboard="Numeric">
+                                    <Entry.Triggers>
+                                        <DataTrigger TargetType="Entry" Binding="{Binding HasLastMeasure}" Value="False">
+                                            <Setter Property="Grid.ColumnSpan" Value="2" />
+                                        </DataTrigger>
+                                    </Entry.Triggers>
+                                </Entry>
+                                <Label Grid.Column="1"
+                                   Text="{Binding LastCO2, StringFormat='[{0} %]'}"
+                                   FontSize="16"
+                                   TextColor="Gray"
+                                   VerticalOptions="Center"
+                                   HorizontalOptions="End"
+                                   IsVisible="{Binding HasLastMeasure}" />
+                            </Grid>
+
                             <Label Text="Entrez une valeur"
-                                FontSize="12"
-                                TextColor="Red"
-                                IsVisible="{Binding ConcCO2Error}"/>
+                               FontSize="12"
+                               TextColor="Red"
+                               IsVisible="{Binding ConcCO2Error}"/>
                         </VerticalStackLayout>
+
+
                     </VerticalStackLayout>
                 </VerticalStackLayout>
             </ScrollView>